<?xml version="1.0" encoding="UTF-8"?>
<!--
Linkbase:  Taxonomía para Grupo 1 - Cierre de 2025:  2025-12-31 - Versión: 3
 Creada por la Superintendencia de Servicios Públicos Domiciliarios. 
 Archivos generados el: 2026/04/29 - 17:54
 Basada en: XBRL Versión 2.1. 





 Desarrollada por: 
                             Juan Carlos Rodríguez Rivera -  https://www.linkedin.com/in/juan-carlos-rodriguez-xbrl/ - jcoolcat@gmail.com - +57 3016662961
-->
<!-- Generated with Reporting Standard S.L. XBRL Taxonomy builder version 20.26.1.1483 - http://www.reportingstandard.com -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_ias-1_2025-12-31_role-con-610000" xlink:href="../co-sspd_ias-1_2025-12-31_role-con-610000.xsd#co-sspd_ias-1_2025-12-31_role-con-610000"/>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_ias-1_2025-12-31_role-con-610000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="lbl128382"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="lbl128383"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="450.0" xlink:from="lbl128382" xlink:to="lbl128383"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="lbl128384"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="440.0" xlink:to="lbl128384" xlink:from="lbl128382"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ChangesInEquity" xlink:label="lbl128385"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="460.0" xlink:from="lbl128385" xlink:to="lbl128382"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssueOfEquity" xlink:label="lbl128386"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="470.0" xlink:to="lbl128386" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaid" xlink:label="lbl128387"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="-1" order="480.0" xlink:to="lbl128387" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughOtherContributionsByOwners" xlink:label="lbl128388"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="490.0" xlink:to="lbl128388" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughOtherDistributionsToOwners" xlink:label="lbl128389"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="-1" order="500.0" xlink:to="lbl128389" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" xlink:label="lbl128390"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="510.0" xlink:to="lbl128390" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:label="lbl128391"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="520.0" xlink:to="lbl128391" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughChangesInOwnershipInterestsInSubsidiariesThatDoNotResultInLossOfControl" xlink:label="lbl128392"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="530.0" xlink:to="lbl128392" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:label="lbl128393"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="+1" order="540.0" xlink:to="lbl128393" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImporteEliminadoDeReservasDeCoberturasDeFlujosDeEfectivoEIncluidoEnElCostoInicialUOtroImporteEnLibrosDeActivosPasivosNoFinancierosOCompromisosEnFirmeParaLosQueSeAplicaLaContabilidadDeCoberturasDelValorRazonable" xlink:label="lbl128394"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="-1" order="550.0" xlink:to="lbl128394" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImporteEliminadoDeReservasDeCambiosEnElValorTemporalDelDineroDeOpcionesEIncluidoEnElCostoInicialUOtroImporteEnLibrosDeActivosPasivosNoFinancierosOCompromisosEnFirmeParaLosQueSeAplicaLaContabilidadDeCoberturasDelValorRazonable" xlink:label="lbl128395"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="-1" order="560.0" xlink:to="lbl128395" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImporteEliminadoDeReservasDeCambiosEnElValorDeLosElementosATerminoDeContratosATerminoEIncluidoEnElCostoInicialUOtroImporteEnLibrosDeActivosPasivosNoFinancierosOCompromisosEnFirmeParaLosQueSeAplicaLaContabilidadDeCoberturasDelValorRazonable" xlink:label="lbl128396"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="-1" order="570.0" xlink:to="lbl128396" xlink:from="lbl128385"/>
    <link:loc xlink:type="locator" xlink:href="../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd#co-sspd-ef-Grupo1_ImporteEliminadoDeReservasDeCambiosEnElValorDeLosDiferencialesDeTasaCambioDeMonedaExtranjeraEIncluidoEnElCostoInicialUOtroImporteEnLibrosDeActivosPasivosNoFinancierosOCompromisosEnFirmeParaLosQueSeAplicaLaContabilidadDeCoberturasDelValorRazonable" xlink:label="lbl128397"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" weight="-1" order="580.0" xlink:to="lbl128397" xlink:from="lbl128385"/>
  </link:calculationLink>
</link:linkbase>